
Name:		kgmailnotifier
Version:	0.5.1
Release:	%mkrel 4
License:	GPLv2+
URL:	        http://kde-apps.org/content/show.php/KGmailNotifier?content=55375
Group:		Graphical desktop/KDE4
Source0:	55375-kgmailnotifier-%version.tar.xz
Summary:        %{name}-a gmail notifier applet for KDE.
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kde4-macros
BuildRequires:  kdelibs4-devel
BuildRequires:  qt4-devel
BuildRequires:  cmake
BuildRequires:  kdelibs4-devel
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1

%description
KGmailNotifier is a gmail notifier applet for KDE. When new mail has
arrived in your inbox a small window will popup, showing author and
subject of the newest mail. The underlined link will take you right
to your inbox with your preferred browser.

%description -l de
KGmailNotifier Gmail Notifier ist ein Applet für KDE. Wenn neue E-Mail hat
in Ihrem Posteingang ein kleines Fenster angekommen, öffnet sich mit Verfasser-und
Gegenstand der neuesten Mail. Die unterstrichenen Link gelangen Sie direkt
in Ihren Posteingang mit Ihrem bevorzugten Browser.

%description -l fr
KGmailNotifier est une applet d'alerte Gmail pour KDE. Lorsque de nouveaux messages a
arrivé dans votre boîte aux lettres une petite fenêtre popup, montrant auteur et
objet de la nouvelle poste. Le lien souligné vous prenez à droite
dans votre boite email avec votre navigateur préféré.

%description -l es
KGmailNotifier es un applet de notificador de Gmail para KDE. Cuando el correo nuevo
llegó a su bandeja de entrada de una pequeña ventana de aviso, que muestra el autor y
objeto de la más nueva de correo electrónico. El vínculo subrayado que tendrá derecho
a su bandeja de entrada con su navegador preferido.

%description -l pl
KGmailNotifier jest gmail aplet powiadamiający o KDE. Przy nowych wiadomości
przybył w skrzynce odbiorczej będzie małym oknie popup, pokazano autora i
temat najnowszych mail. Podkreślił związek zajmie Ci prawo
do skrzynki odbiorczej z domyślna przeglądarka.

%description -l sr
КГмаилНотифиер је Гмаил Нотифиер за аплет за КДЕ. Када нови маил
стигао у пријемно сандуче мали прозор искачући прозор, који приказује аутор и
предмет најновије поште. Подвучена веза ће вас одвести право
на пријем са жељени прегледач.

%description -l nl
KGmailNotifier is een Gmail Notifier applet voor KDE. Als er nieuwe mail is
aangekomen in uw inbox een klein popup venster, waarin auteur en
onderwerp van de nieuwste mail. De onderstreepte link brengt u rechts
naar je Postvak IN met uw favoriete browser.

%prep
%setup -q 
%build
%cmake_kde4 
%make

%install
rm -rf %buildroot
%{makeinstall_std} -C build
%find_lang %{name}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-Mail" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop


%clean
rm -rf %buildroot


%files -f %{name}.lang
%defattr(-,root,root)
%_bindir/kgmailnotifier
%_datadir/applications/kde4/kgmailnotifier.desktop
%_datadir/apps/kgmailnotifier/pics/gmailAlert.png
%_datadir/apps/kgmailnotifier/pics/gmailBlue.png
%_datadir/apps/kgmailnotifier/pics/gmailLabel.png
%_datadir/apps/kgmailnotifier/pics/gmailRed.png
%_datadir/config.kcfg/kgmailnotifier.kcfg
%_datadir/icons/hicolor/16x16/apps/kgmailnotifier.png
%_datadir/icons/hicolor/32x32/apps/kgmailnotifier.png
%_datadir/icons/hicolor/64x64/apps/kgmailnotifier.png

%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.5.1-3pclos2010
- rebuild for 4.5.1

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 0.5.1-2pclos2010
- rebuild

* Sun Dec 06 2009 Texstar <texstar at gmail.com> 0.5.1-1pclos2010
- 0.5.1

* Mon Dec 01 2009 Texstar <texstar at gmail.com> 0.5.0.2-1pclos2010
- 0.5.0.2

* Sat Oct 03 2009 Texstar <texstar at gmail.com> 0.5-2pclos2010
- rebuild for 2010

* Wed Sep 08 2009 pcserver <pcserver at hushmail.com> 0.5-1pclos2009
- create 

